# $Revision: 1.28 $, $Date: 2012/07/02 15:36:14 $
Summary:	X.org video driver for framebuffer device
Summary(pl.UTF-8):	Sterownik obrazu X.org dla framebuffera
Name:		xorg-driver-video-fbdev
Version:	0.4.3
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-fbdev-%{version}.tar.bz2
# Source0-md5:	1d99f1dfb3f0fea077b6b61caa3dc85a
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-server >= 1.0.99.901
Provides:	xorg-driver-video
Obsoletes:	X11-driver-fbdev < 1:7.0.0
Obsoletes:	XFree86-FBDev
Obsoletes:	XFree86-driver-fbdev < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for framebuffer device.

%description -l pl.UTF-8
Sterownik obrazu X.org dla framebuffera.

%prep
%setup -q -n xf86-video-fbdev-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/fbdev_drv.so
%{_mandir}/man4/fbdev.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-video-fbdev.spec,v $
Revision 1.28  2012/07/02 15:36:14  qboosh
- updated to 0.4.3

Revision 1.27  2012/03/05 06:26:13  arekm
- release 6

Revision 1.26  2011/08/27 09:01:37  arekm
- release 5

Revision 1.25  2011/08/25 20:18:31  glen
- xorg-driver-video virtual for video drivers
- release 4

Revision 1.24  2011/02/27 08:32:47  arekm
- release 3

Revision 1.23  2010/11/10 19:11:09  shadzik
- rel up

Revision 1.22  2010/08/29 09:31:26  qboosh
- added README to docs
- updated deps

Revision 1.21  2010/08/21 07:51:38  arekm
- up to 0.4.2

Revision 1.20  2010/08/21 07:26:38  arekm
- release 4

Revision 1.19  2010/04/02 08:27:53  arekm
- release 3

Revision 1.18  2009/10/02 08:27:46  arekm
- release 2

Revision 1.17  2009/09/20 06:07:41  arekm
- up to 0.4.1

Revision 1.16  2009/02/25 21:04:51  arekm
- release 4

Revision 1.15  2008/08/30 16:33:14  arekm
- release 3

Revision 1.14  2008/07/01 16:07:27  arekm
- release 2

Revision 1.13  2008-03-19 18:39:15  arekm
- up to 0.4.0

Revision 1.12  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.11  2007/09/06 16:22:52  arekm
- track xserver videodrv deps

Revision 1.10  2007/04/30 20:05:12  qboosh
- Obsoletes for XFree86/X11 drivers

Revision 1.9  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.7  2006/12/29 14:13:44  arekm
- up to 0.3.1

Revision 1.6  2006/05/23 06:30:25  arekm
- up to 0.3.0

Revision 1.5  2006/04/11 09:32:33  qboosh
- updated to 0.2.0

Revision 1.4  2006/01/06 14:26:38  qboosh
- 0.1.0.5 (X11R7.0 release)

Revision 1.3  2005/12/07 14:28:44  qboosh
- 0.1.0.3 (X11R7.0-RC3)

Revision 1.2  2005/11/20 14:25:01  qboosh
- 0.1.0.2 (X11R7.0-RC2)

Revision 1.1  2005/10/29 18:12:43  qboosh
- new
